#!/usr/bin/python
###########################################################################
# testapp - description                                                   #
# ------------------------------                                          #
# begin     : Fri Jun 27 2005                                             #
# copyright : (C) 2005 by AUTHOR                                          #
# email     : your@email.com                                              #
#                                                                         #
###########################################################################
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
###########################################################################

from python_tqt.qt import *
from tdecore import *
from tdeui import *

class TestAppPrefDialog(KDialogBase):
    def __init__(self):
        KDialogBase.__init__(TreeList, i18n("TestApp Preferences"),
                  KDialogBase.Help|KDialogBase.Default|KDialogBase.Ok|KDialogBase.Apply|KDialogBase.Cancel, Ok)

        # this is the base class for your preferences dialog.  it is now
        # a Treelist dialog.. but there are a number of other
        # possibilities (including Tab, Swallow, and just Plain)
        frame = self.addPage(i18n("First Page"), i18n("Page One Options"))
        self._pageOne = TestAppPrefPageOne(frame)
    
        frame = self.addPage(i18n("Second Page"), i18n("Page Two Options"))
        self._pageTwo = TestAppPrefPageTwo(frame)

class TestAppPrefPageOne(QFrame):
    def __init__(self,parent):
        QFrame.__init__(self,parent)

        layout = QHBoxLayout(self)
        layout.setAutoAdd(True)
    
        QLabel(i18n("Add something here"), self)

class TestAppPrefPageTwo(QFrame):
    def __init__(self,parent):
        QFrame.__init__(self,parent)

        layout = QHBoxLayout(self)
        layout.setAutoAdd(True)

        QLabel(i18n("Add something here"), self)

